/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* Option Parsing Definitions                                                 *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

/////////
// Prefixes

#ifdef PREFIX
#define COMMA ,
PREFIX(prefix_0, {nullptr})
PREFIX(prefix_2, {"-" COMMA nullptr})
PREFIX(prefix_3, {"--" COMMA nullptr})
PREFIX(prefix_1, {"--" COMMA "-" COMMA nullptr})
#undef COMMA
#endif // PREFIX

/////////
// Groups

#ifdef OPTION
OPTION(nullptr, "attaching", grp_attach, Group, INVALID, INVALID, nullptr, 0, 0,
       "ATTACHING", nullptr, nullptr)
OPTION(nullptr, "command", grp_command, Group, INVALID, INVALID, nullptr, 0, 0,
       "COMMANDS", nullptr, nullptr)
OPTION(nullptr, "repl", grp_repl, Group, INVALID, INVALID, nullptr, 0, 0,
       "REPL", nullptr, nullptr)
OPTION(nullptr, "scripting", grp_scripting, Group, INVALID, INVALID, nullptr, 0, 0,
       "SCRIPTING", nullptr, nullptr)

//////////
// Options

OPTION(prefix_0, &"<input>"[0], INPUT, Input, INVALID, INVALID, nullptr, 0, 0, nullptr, nullptr, nullptr)
OPTION(prefix_0, &"<unknown>"[0], UNKNOWN, Unknown, INVALID, INVALID, nullptr, 0, 0, nullptr, nullptr, nullptr)
OPTION(prefix_1, &"--arch"[2], arch, Separate, INVALID, INVALID, nullptr, 0, 0,
       "Tells the debugger to use the specified architecture when starting and running the program.", "<architecture>", nullptr)
OPTION(prefix_1, &"--attach-name"[2], attach_name, Separate, grp_attach, INVALID, nullptr, 0, 0,
       "Tells the debugger to attach to a process with the given name.", "<name>", nullptr)
OPTION(prefix_1, &"--attach-pid"[2], attach_pid, Separate, grp_attach, INVALID, nullptr, 0, 0,
       "Tells the debugger to attach to a process with the given pid.", "<pid>", nullptr)
OPTION(prefix_2, &"-a"[1], anonymous_23, Separate, INVALID, arch, nullptr, 0, 0,
       "Alias for --arch", nullptr, nullptr)
OPTION(prefix_1, &"--batch"[2], batch, Flag, grp_command, INVALID, nullptr, 0, 0,
       "Tells the debugger to run the commands from -s, -S, -o & -O, and then quit.", nullptr, nullptr)
OPTION(prefix_2, &"-b"[1], anonymous_9, Flag, grp_command, batch, nullptr, 0, 0,
       "Alias for --batch", nullptr, nullptr)
OPTION(prefix_1, &"--capture-path"[2], capture_path, Separate, INVALID, INVALID, nullptr, 0, 0,
       "Tells the debugger to use the given filename for the reproducer.", "<filename>", nullptr)
OPTION(prefix_1, &"--capture"[2], capture, Flag, INVALID, INVALID, nullptr, 0, 0,
       "Tells the debugger to capture a reproducer.", nullptr, nullptr)
OPTION(prefix_1, &"--core"[2], core, Separate, INVALID, INVALID, nullptr, 0, 0,
       "Tells the debugger to use the full path to <filename> as the core file.", "<filename>", nullptr)
OPTION(prefix_2, &"-c"[1], anonymous_19, Separate, INVALID, core, nullptr, 0, 0,
       "Alias for --core", nullptr, nullptr)
OPTION(prefix_1, &"--debug"[2], debug, Flag, INVALID, INVALID, nullptr, 0, 0,
       "Tells the debugger to print out extra information for debugging itself.", nullptr, nullptr)
OPTION(prefix_2, &"-d"[1], anonymous_24, Flag, INVALID, debug, nullptr, 0, 0,
       "Alias for --debug", nullptr, nullptr)
OPTION(prefix_1, &"--editor"[2], editor, Flag, INVALID, INVALID, nullptr, 0, 0,
       "Tells the debugger to open source files using the host's \"external editor\" mechanism.", nullptr, nullptr)
OPTION(prefix_2, &"-e"[1], anonymous_20, Flag, INVALID, editor, nullptr, 0, 0,
       "Alias for --editor", nullptr, nullptr)
OPTION(prefix_1, &"--file"[2], file, Separate, INVALID, INVALID, nullptr, 0, 0,
       "Tells the debugger to use the file <filename> as the program to be debugged.", "<filename>", nullptr)
OPTION(prefix_2, &"-f"[1], anonymous_22, Separate, INVALID, file, nullptr, 0, 0,
       "Alias for --file", nullptr, nullptr)
OPTION(prefix_1, &"--help"[2], help, Flag, INVALID, INVALID, nullptr, 0, 0,
       "Prints out the usage information for the LLDB debugger.", nullptr, nullptr)
OPTION(prefix_2, &"-h"[1], anonymous_18, Flag, INVALID, help, nullptr, 0, 0,
       "Alias for --help", nullptr, nullptr)
OPTION(prefix_2, &"-K"[1], anonymous_12, Separate, grp_command, source_on_crash, nullptr, 0, 0,
       "Alias for --source-on-crash", nullptr, nullptr)
OPTION(prefix_2, &"-k"[1], anonymous_11, Separate, grp_command, one_line_on_crash, nullptr, 0, 0,
       "Alias for --one-line-on-crash", nullptr, nullptr)
OPTION(prefix_1, &"--local-lldbinit"[2], local_lldbinit, Flag, grp_command, INVALID, nullptr, 0, 0,
       "Allow the debugger to parse the .lldbinit files in the current working directory, unless --no-lldbinit is passed.", nullptr, nullptr)
OPTION(prefix_2, &"-l"[1], anonymous_4, Separate, grp_scripting, script_language, nullptr, 0, 0,
       "Alias for --script-language", nullptr, nullptr)
OPTION(prefix_1, &"--no-lldbinit"[2], no_lldbinit, Flag, grp_command, INVALID, nullptr, 0, 0,
       "Do not automatically parse any '.lldbinit' files.", nullptr, nullptr)
OPTION(prefix_1, &"--no-use-colors"[2], no_use_colors, Flag, INVALID, INVALID, nullptr, 0, 0,
       "Do not use colors.", nullptr, nullptr)
OPTION(prefix_2, &"-n"[1], anonymous_0, Separate, grp_attach, attach_name, nullptr, 0, 0,
       "Alias for --attach-name", nullptr, nullptr)
OPTION(prefix_1, &"--one-line-before-file"[2], one_line_before_file, Separate, grp_command, INVALID, nullptr, 0, 0,
       "Tells the debugger to execute this one-line lldb command before any file provided on the command line has been loaded.", "<command>", nullptr)
OPTION(prefix_1, &"--one-line-on-crash"[2], one_line_on_crash, Separate, grp_command, INVALID, nullptr, 0, 0,
       "When in batch mode, tells the debugger to run this one-line lldb command if the target crashes.", "<command>", nullptr)
OPTION(prefix_1, &"--one-line"[2], one_line, Separate, grp_command, INVALID, nullptr, 0, 0,
       "Tells the debugger to execute this one-line lldb command after any file provided on the command line has been loaded.", "<command>", nullptr)
OPTION(prefix_2, &"-O"[1], anonymous_16, Separate, grp_command, one_line_before_file, nullptr, 0, 0,
       "Alias for --one-line-before-file", nullptr, nullptr)
OPTION(prefix_2, &"-o"[1], anonymous_15, Separate, grp_command, one_line, nullptr, 0, 0,
       "Alias for --one-line", nullptr, nullptr)
OPTION(prefix_1, &"--print-script-interpreter-info"[2], print_script_interpreter_info, Flag, grp_scripting, INVALID, nullptr, 0, 0,
       "Prints out a json dictionary with information about the scripting language interpreter.", nullptr, nullptr)
OPTION(prefix_1, &"--python-path"[2], python_path, Flag, grp_scripting, INVALID, nullptr, 0, 0,
       "Prints out the path to the lldb.py file for this version of lldb.", nullptr, nullptr)
OPTION(prefix_2, &"-P"[1], anonymous_3, Flag, grp_scripting, python_path, nullptr, 0, 0,
       "Alias for --python-path", nullptr, nullptr)
OPTION(prefix_2, &"-p"[1], anonymous_2, Separate, grp_attach, attach_pid, nullptr, 0, 0,
       "Alias for --attach-pid", nullptr, nullptr)
OPTION(prefix_2, &"-Q"[1], anonymous_10, Flag, grp_command, source_quietly, nullptr, 0, 0,
       "Alias for --source-quietly", nullptr, nullptr)
OPTION(prefix_2, &"-r="[1], anonymous_6, Joined, grp_repl, repl_, nullptr, 0, 0,
       "Alias for --repl=<flags>", "<flags>", nullptr)
OPTION(prefix_1, &"--repl-language"[2], repl_language, Separate, grp_repl, INVALID, nullptr, 0, 0,
       "Chooses the language for the REPL.", "<language>", nullptr)
OPTION(prefix_1, &"--repl="[2], repl_, Joined, grp_repl, INVALID, nullptr, 0, 0,
       "Runs lldb in REPL mode with a stub process with the given flags.", "<flags>", nullptr)
OPTION(prefix_1, &"--repl"[2], repl, Flag, grp_repl, INVALID, nullptr, 0, 0,
       "Runs lldb in REPL mode with a stub process.", nullptr, nullptr)
OPTION(prefix_1, &"--reproducer-generate-on-exit"[2], generate_on_exit, Flag, INVALID, INVALID, nullptr, 0, 0,
       "Generate reproducer on exit.", nullptr, nullptr)
OPTION(prefix_2, &"-R"[1], anonymous_7, Separate, grp_repl, repl_language, nullptr, 0, 0,
       "Alias for --repl-language", nullptr, nullptr)
OPTION(prefix_2, &"-r"[1], anonymous_5, Flag, grp_repl, repl, nullptr, 0, 0,
       "Alias for --repl", nullptr, nullptr)
OPTION(prefix_1, &"--script-language"[2], script_language, Separate, grp_scripting, INVALID, nullptr, 0, 0,
       "Tells the debugger to use the specified scripting language for user-defined scripts.", "<language>", nullptr)
OPTION(prefix_1, &"--source-before-file"[2], source_before_file, Separate, grp_command, INVALID, nullptr, 0, 0,
       "Tells the debugger to read in and execute the lldb commands in the given file, before any file has been loaded.", "<file>", nullptr)
OPTION(prefix_1, &"--source-on-crash"[2], source_on_crash, Separate, grp_command, INVALID, nullptr, 0, 0,
       "When in batch mode, tells the debugger to source this file of lldb commands if the target crashes.", "<file>", nullptr)
OPTION(prefix_1, &"--source-quietly"[2], source_quietly, Flag, grp_command, INVALID, nullptr, 0, 0,
       "Tells the debugger not to echo commands while sourcing files or one-line commands provided on the command line.", nullptr, nullptr)
OPTION(prefix_1, &"--source"[2], source, Separate, grp_command, INVALID, nullptr, 0, 0,
       "Tells the debugger to read in and execute the lldb commands in the given file, after any file has been loaded.", "<file>", nullptr)
OPTION(prefix_2, &"-S"[1], anonymous_14, Separate, grp_command, source_before_file, nullptr, 0, 0,
       "Alias for --source-before-file", nullptr, nullptr)
OPTION(prefix_2, &"-s"[1], anonymous_13, Separate, grp_command, source, nullptr, 0, 0,
       "Alias for --source", nullptr, nullptr)
OPTION(prefix_1, &"--version"[2], version, Flag, INVALID, INVALID, nullptr, 0, 0,
       "Prints out the current version number of the LLDB debugger.", nullptr, nullptr)
OPTION(prefix_2, &"-v"[1], anonymous_17, Flag, INVALID, version, nullptr, 0, 0,
       "Alias for --version", nullptr, nullptr)
OPTION(prefix_1, &"--wait-for"[2], wait_for, Flag, grp_attach, INVALID, nullptr, 0, 0,
       "Tells the debugger to wait for a process with the given pid or name to launch before attaching.", nullptr, nullptr)
OPTION(prefix_2, &"-w"[1], anonymous_1, Flag, grp_attach, wait_for, nullptr, 0, 0,
       "Alias for --wait-for", nullptr, nullptr)
OPTION(prefix_2, &"-X"[1], anonymous_21, Flag, INVALID, no_use_colors, nullptr, 0, 0,
       "Alias for --no-use-color", nullptr, nullptr)
OPTION(prefix_2, &"-x"[1], anonymous_8, Flag, grp_command, no_lldbinit, nullptr, 0, 0,
       "Alias for --no-lldbinit", nullptr, nullptr)
OPTION(prefix_3, &"--"[2], REM, RemainingArgs, INVALID, INVALID, nullptr, 0, 0, nullptr, nullptr, nullptr)
#endif // OPTION

#ifdef SIMPLE_ENUM_VALUE_TABLE

struct SimpleEnumValue {
  const char *Name;
  unsigned Value;
};

struct SimpleEnumValueTable {
  const SimpleEnumValue *Table;
  unsigned Size;
};
static const SimpleEnumValueTable SimpleEnumValueTables[] = {};
static const unsigned SimpleEnumValueTablesSize = sizeof(SimpleEnumValueTables) / sizeof(SimpleEnumValueTable);
#endif // SIMPLE_ENUM_VALUE_TABLE


#ifdef OPTTABLE_ARG_INIT
//////////
// Option Values


#endif // OPTTABLE_ARG_INIT
